Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.imp3d.glsl.utility
Class DrawableContainer

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              java.util.Vector<Drawable>
                  de.grogra.imp3d.glsl.utility.DrawableContainer

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<Drawable>, java.util.Collection<Drawable>, java.util.List<Drawable>, java.util.RandomAccess

    public class DrawableContainer

extends java.util.Vector<Drawable>

Container for Drawables. Optimized to cache Instances of Drawables

Author:
  shi
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.Vector
`capacityIncrement, elementCount, elementData`

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`DrawableContainer()`

Method Summary
`void` | `add(GLSLRenderable shape, Shader s, GLSLMaterial sh, boolean asNode, int layer, Matrix4d worldTransform, Matrix4d cachedWorldTransform)`
`void` | `cleanup()`
`void` | `init()`
`boolean` | `isEmpty()`
`Drawable` | `lastElement()`
`int` | `size()`
`java.lang.String` | `toString()`

Methods inherited from class java.util.Vector
`add, add, addAll, addAll, addElement, capacity, clear, clone, contains, containsAll, copyInto, elementAt, elements, ensureCapacity, equals, firstElement, get, hashCode, indexOf, indexOf, insertElementAt, iterator, lastIndexOf, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeAllElements, removeElement, removeElementAt, removeRange, retainAll, set, setElementAt, setSize, subList, toArray, toArray, trimToSize`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DrawableContainer

    public DrawableContainer()

Method Detail

### add

    public void add(GLSLRenderable shape,
                    Shader s,
                    GLSLMaterial sh,
                    boolean asNode,
                    int layer,
                    Matrix4d worldTransform,
                    Matrix4d cachedWorldTransform)

### cleanup

    public void cleanup()

### init

    public void init()

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `java.util.Collection<Drawable>`
  Specified by:
    `isEmpty` in interface `java.util.List<Drawable>`
  Overrides:
    `isEmpty` in class `java.util.Vector<Drawable>`

### lastElement

    public Drawable lastElement()

  Overrides:
    `lastElement` in class `java.util.Vector<Drawable>`

### size

    public int size()

  Specified by:
    `size` in interface `java.util.Collection<Drawable>`
  Specified by:
    `size` in interface `java.util.List<Drawable>`
  Overrides:
    `size` in class `java.util.Vector<Drawable>`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.util.Vector<Drawable>`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD